@book{Gonzalez:Yocto:Cookbook,
  title     = {{Embedded Linux Development Using Yocto Project Cookbook}},
  author    = {Gonzalez, Alex},
  publisher = {Packt Publishing},
  edition   = 2,
  month     = jan,
  year      = 2018,
  address   = {Birmingham, England}
}

@misc{LinuxFoundation:YoctoProject,
  author       = {{The Linux Foundation}},
  title        = {{Yocto Project Documentation}},
  howpublished = {\url{https://docs.yoctoproject.org/}},
  year         = 2022
}

@misc{LinuxFoundation:YoctoProject:Layer:Structure,
  author       = {{The Linux Foundation}},
  title        = {{Yocto Project Documentation}},
  howpublished = {\url{https://docs.yoctoproject.org/4.0.5/overview-manual/concepts.html}},
  year         = 2022
}


@misc{Armbian,
  author       = {{Armbian}},
  title        = {{Armbian -- Linux for ARM development boards}},
  year         = 2022,
  howpublished = {\url{https://www.armbian.com/}}
}

@book{Tanenbaum:Systemy:Rozproszone:Paradygmaty,
  title     = {{Systemy rozproszone: Zasady i paradygmaty}},
  author    = {Tanenbaum, Andrew S and van Steen, Martinus Richardus},
  year      = {2006},
  publisher = {Wydawnictwo Naukowo-Techniczne}
}

@article{Olszyna:Rozproszony:ZigBee,
  title   = {Bezprzewodowy rozproszony system pomiarowy z wykorzystaniem technologii {ZigBee}},
  author  = {Olszyna, Jakub and Winiecki, Wies{\l}aw},
  journal = {Pomiary Automatyka Kontrola},
  volume  = {54},
  number  = {6},
  pages   = {353-355},
  year    = {2008}
}

@article{Djellabi:PeerToPeer:Effective,
  title     = {Effective peer-to-peer design for supporting range query in {Internet of Things} applications},
  author    = {Djellabi, Brahim and Younis, Mohamed and Amad, Mourad},
  journal   = {Computer Communications},
  volume    = {150},
  pages     = {506--518},
  year      = {2020},
  publisher = {Elsevier}
}

@inproceedings{Saari:Star:Linux:Network,
  title     = {{Embedded Linux controlled sensor network}},
  author    = {Saari, M. and Baharudin, A. M. and Sillberg, P. and Rantanen, P. and Soini, J.},
  booktitle = {2016 39th International Convention on Information and Communication Technology, Electronics and Microelectronics (MIPRO)},
  year      = {2016},
  volume    = {},
  number    = {},
  pages     = {1185--1189},
  doi       = {10.1109/MIPRO.2016.7522319}
}

@article{Popczyk:Peer-to-Peer:zastosowania:problemy,
  title   = {Analiza system{\'o}w peer-to-peer ({P2P}): w{\l}a{\'s}ciwo{\'s}ci, mo{\.z}liwe zastosowania, otwarte problemy},
  author  = {Popczyk, Grzegorz},
  journal = {Studia Informatica},
  volume  = {24},
  number  = {3},
  pages   = {123--130},
  year    = {2003}
}

@article{Bogacz:Samokonfiguracja:IoT,
  title   = {Samokonfiguruj{\k{a}}ca si{\k{e}} sie{\'c} urz{\k{a}}dze{\'n} {IoT}},
  author  = {Bogacz, Arkadiusz},
  journal = {The WSB University in Poznan Graduate Research Journal},
  pages   = {181},
  year    = {2020}
}

@article{Hayduk:Wbudowane:Mikrokomputery,
  title   = {Zastosowanie mikrokomputer{\'o}w wbudowanych w systemach sterowania procesami przemys{\l}owymi},
  author  = {Hayduk, Grzegorz},
  journal = {Pomiary Automatyka Kontrola},
  volume  = {44},
  number  = {7},
  pages   = {278--281},
  year    = {1998}
}

@article{Marciniak:Odpowiedzialnosc:Bledy:IoT,
  title     = {Problem odpowiedzialno{\'s}ci za b{\l}{\k{e}}dy w oprogramowaniu {IoT}},
  author    = {Marciniak, Piotr},
  journal   = {Przegl{\k{a}}d Ustawodawstwa Gospodarczego},
  volume    = {---},
  number    = {10},
  pages     = {37--46},
  year      = {2020},
  publisher = {Polskie Wydawnictwo Ekonomiczne SA}
}

@article{Hintermann:Embedded:Linux,
  title   = {Operating system components for an embedded {Linux} system},
  author  = {Hintermann, Martin},
  journal = {Technische Universitat Munchen},
  year    = {2007}
}

@article{Buttazzo:Embedded:Trends,
  title     = {Research trends in real-time computing for embedded systems},
  author    = {Buttazzo, Giorgio},
  journal   = {ACM SIGBED Review},
  volume    = {3},
  number    = {3},
  pages     = {1--10},
  year      = {2006},
  publisher = {ACM New York, NY, USA}
}

@article{Zainab:IoT:Definitions:Challenges,
  title     = {{Internet of Things (IoT)}: definitions, challenges and recent research directions},
  author    = {Ali, Zainab H and Ali, Hesham A and Badawy, Mahmoud M},
  journal   = {International Journal of Computer Applications},
  volume    = {128},
  number    = {1},
  pages     = {37--47},
  year      = {2015},
  publisher = {Foundation of Computer Science}
}

@article{Rogalska:Podstawy:Topologii,
  title   = {{Edukacja Informatyczna -- Podstawy topologii sieci w systemach rozproszonych}},
  author  = {Rogalska, El{\.z}bieta},
  year    = 2016,
  journal = {{Publikacje dukacyjne}}
}

@article{Djellabi:P2P:Effective:Query,
  title     = {Effective peer-to-peer design for supporting range query in {Internet of Things} applications},
  author    = {Djellabi, Brahim and Younis, Mohamed and Amad, Mourad},
  journal   = {Computer Communications},
  volume    = {150},
  pages     = {506--518},
  year      = {2020},
  publisher = {Elsevier}
}

@article{Lipka:IoT:LoRaWAN,
  title   = {{Internet of Things} ({IoT}) -- {LoRaWAN} w praktyce},
  author  = {Lipka, Tomasz},
  journal = {Nafta-Gaz},
  volume  = {76},
  year    = {2020}
}

@article{Marchewka:Embedded:Linux,
  title   = {Stosowanie system{\'o}w wbudowanych do sterowania robotami mobilnymi},
  author  = {Marchewka, Dariusz and Pi{\k{a}}tek, Marcin},
  journal = {Automatyka/Akademia G{\'o}rniczo-Hutnicza im. Stanis{\l}awa Staszica w Krakowie},
  volume  = {12},
  pages   = {257--266},
  year    = {2008}
}

@article{Makowski:Linux:Pomiarowy,
  title   = {Zastosowanie systemu operacyjnego {GNU/Linux} oraz biblioteki {Comedi} w systemie pomiarowym},
  author  = {Makowski, {\L}},
  journal = {Pomiary Automatyka Kontrola},
  volume  = {52},
  year    = 2006
}

@inproceedings{Vun:Embedded:Linux:RT:Modifications,
  author    = {Vun, N. and Hor, H.F. and Chao, J.W.},
  booktitle = {2008 14th IEEE International Conference on Parallel and Distributed Systems},
  title     = {{Real-Time Enhancements for Embedded Linux}},
  year      = 2008,
  volume    = {},
  number    = {},
  pages     = {737-740},
  doi       = {10.1109/ICPADS.2008.108}
}

@misc{Buildroot,
  author       = {{Buildroot Association}},
  title        = {{Buildroot -- Making Embedded Linux Easy}},
  year         = 2022,
  howpublished = {\url{https://buildroot.org/}}
}

@inproceedings{Saxena:MQTT:HomeAssistant,
  author    = {Saxena, Srijan and Jain, Sahaj and Arora, Deepak and Sharma, Puneet},
  booktitle = {2019 6th International Conference on Computing for Sustainable Global Development (INDIACom)},
  title     = {Implications of {MQTT} Connectivity Protocol for {IoT} based {Device Automation} using {Home Assistant and OpenHAB}},
  year      = 2019,
  volume    = {},
  number    = {},
  pages     = {475--480},
  doi       = {}
}

@article{Wilczkiewicz:security:sensor:network,
  title   = {Bezpieczeństwo w bezprzewodowych sieciach sensorowych na przykładzie wybranych rozwiązań},
  volume  = {28},
  url     = {https://czasopisma.prz.edu.pl/rutjee/article/view/596},
  doi     = {10.7862/re.2022.4},
  number  = {39},
  journal = {Rzeszów University of Technology -- Journal of Electrical Engineering},
  author  = {Wilczkieicz, Bartłomiej},
  year    = 2022,
  month   = Sep,
  pages   = {51--70}
}

@inproceedings{Quadri:IoT:surveillance:rpi,
  author    = {Quadri, Syed Ali Imran and Sathish, P.},
  booktitle = {{2017 International Conference on Intelligent Computing and Control Systems (ICICCS)}},
  title     = {{IoT based home automation and surveillance system}},
  year      = 2017,
  volume    = {},
  number    = {},
  pages     = {861--866},
  doi       = {10.1109/ICCONS.2017.8250586}
}

@article{Muc:Arduino:Raspberry,
  author   = {Muc, A. and Murawski, L. and Gesella, G. and Szeleziński, A. and Szarmach, A.},
  journal  = {Zeszyty Naukowe Wydziału Elektrotechniki i Automatyki Politechniki Gdańskiej},
  keywords = {platforma cyfrowa; Arduino; Raspberry; sterowanie; pneumatyka; programowanie mikrokontrolerów},
  language = {Polish},
  pages    = {45--50},
  title    = {Zastosowanie platform cyfrowych {Arduino} i {Raspberry Pi} w nauczaniu sterowania obiektem pneumatycznym},
  volume   = {41},
  year     = 2015
}

@inproceedings{Sarthak:Raspberry:HomeAutomation:Email,
  author    = {Jain, Sarthak and Vaibhav, Anant and Goyal, Lovely},
  booktitle = {{2014 International Conference on Reliability Optimization and Information Technology (ICROIT)}},
  title     = {{Raspberry Pi based interactive home automation system through E-mail}},
  year      = 2014,
  volume    = {},
  number    = {},
  pages     = {277--280},
  doi       = {10.1109/ICROIT.2014.6798330}
}

 @article{Michalak:Raspberry:System:Pomiarowy,
  title     = {Mikrokomputer Raspberry Pi jako sterownik systemu pomiarowego},
  volume    = {R. 60, nr 8},
  number    = {8},
  journal   = {Pomiary Automatyka Kontrola},
  publisher = {Stowarzyszenie Inżynierów i Techników Mechaników Polskich},
  author    = {Michalak, S.},
  year      = {2014},
  pages     = {649–651}
}

@book{Salvador:Linux:Development:Yocto,
  title     = {Embedded Linux Development using Yocto Projects: Learn to leverage the power of Yocto Project to build efficient Linux-based products, 2nd Edition},
  author    = {Salvador, Otavio and Angolini, Daiane},
  publisher = {Packt Publishing},
  year      = {2017},
  month     = {11},
  day       = {16},
  date      = {2017-11-16},
  edition   = {Paperback},
  language  = {English},
  pages     = {162},
  keywords  = {Computer Hardware Embedded Systems, Computer Network Administration, Linux Networking & System Administration, Computer Operating Systems},
  isbn      = {978-1788470469},
  isbn10    = {178847046X},
  url       = {https://lead.to/amazon/com/?op=bt&la=en&cu=usd&key=178847046X},
  url-am    = {https://www.amazon.com/dp/178847046X/},
  url-go    = {https://books.google.com/books?isbn=9781788470469},
  url-wo    = {https://www.worldcat.org/search?qt=l2a&q=isbn%3A9781788470469},
  price     = {$33.29},
  condition = {New},
  timestamp = {2022-12-08}
}